// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: solarmodule/solarmodule.proto

package openfmb.solarmodule;

public interface SolarCapabilityRatingsOrBuilder extends
    // @@protoc_insertion_point(interface_extends:solarmodule.SolarCapabilityRatings)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityRatings sourceCapabilityRatings = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the sourceCapabilityRatings field is set.
   */
  boolean hasSourceCapabilityRatings();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityRatings sourceCapabilityRatings = 1 [(.uml.option_parent_message) = true];</code>
   * @return The sourceCapabilityRatings.
   */
  openfmb.commonmodule.SourceCapabilityRatings getSourceCapabilityRatings();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.SourceCapabilityRatings sourceCapabilityRatings = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.SourceCapabilityRatingsOrBuilder getSourceCapabilityRatingsOrBuilder();
}
